package domain

type AlibabaWdkCouponSkuRemoveUserInfo struct {
	/*
	   来源     */
	Source *string `json:"source,omitempty" `

	/*
	   用户id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   用户名称     */
	UserName *string `json:"user_name,omitempty" `
}

func (s *AlibabaWdkCouponSkuRemoveUserInfo) SetSource(v string) *AlibabaWdkCouponSkuRemoveUserInfo {
	s.Source = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveUserInfo) SetUserId(v int64) *AlibabaWdkCouponSkuRemoveUserInfo {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponSkuRemoveUserInfo) SetUserName(v string) *AlibabaWdkCouponSkuRemoveUserInfo {
	s.UserName = &v
	return s
}
